I solver it by me own, just a little mistake. If someone else needs it, this is my solution:
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.PDM
Module NXJournal
Sub Main
Dim theSession As Session = Session.GetSession()
Dim workPart As Part = theSession.Parts.Work
Dim...
Hello,
I am trying to refresh all TC attributes like "File -> Properties - Reload Atrributes from Teamcenter" with a journal file. Recording the journal does not work. So I am trying this code but with no success. I am allways getting errors.
Option Strict Off
Imports System
Imports NXOpen...
Hello Alex,
I think you forgot to initialise the clone operation. Here is a snippet of the code I use to import all parts of a selected OS Folder to a specified Teamcenter folder:
ufs.Clone.Terminate()
ufs.Clone.Initialise(UFClone.OperationClass.ImportOperation)...
Hello,
I am using the ufs.Clone function to import Parts to Teamcenter. Here it is possible to derfine with ufs.Clone.SetDefFolder (user_name + ":" + import_folder) the destination folder for the parts. If it does not exist, this folder is created automatically.
I have to copy these parts to...
Hello,
we often get Assemblies from suppliers that need to be imported into Teamcenter. These Assemblies contain parts from Part Families. I know that it is possible to convert Part Family members into normal Parts during the import process. But I have to add additional attributes to all parts...
Hello Cowski,
thanks for your work, but your new journal does not run on my NX8 or NX9 installation. It allways stops with errors.
I have created now a mixture of journal and macro to get nearly that what I need. The manual positioning could be a bit more comfortable but it works.
For the...
Thanks for the answers,
I didn't use these journals from cowski for my work. They work very fine for the most cases, especially the first way to create the gap manually. One thing that is not regognised is the crossing of an extension line and an dimension line (as mentioned in the Infotext)...
Hello,
if you mean the distance to the beginning of the curve, just create a point, switch the type to "point on curve" and enter the distiance on the location on curve.
Best regards
Carsten
Hello, I have a journal to place a gap (user defined symbol "gap25") on a selected dimension line, if 2 lines are crossing. Depending on the dimension's orientation the correct position of the gap is not so easy to pick. A fine tuning with "File - Component - Move" is often required. This...
Hello,
I am trying to create an Index number to a selected dimension. For this I found a very helpful journal in this forum that I modified a bit. Now I need to adjust the text angle of the ID Symbol to match the diminsion's orientation. Dimensions do not have a lettering angle in the style...